Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.tests

Unit test interface for PyMVPA

Functions

`collect_nose_tests`([verbosity]) | Return list of tests which are pure nose-based
`collect_test_suites`([verbosity]) |
`collect_unit_tests`([verbosity]) | Runs over all tests it knows and composes a dictionary with test suite instances as values and IDs as keys.
`run`([limit, verbosity, exit_]) | Runs the full or a subset of the PyMVPA unittest suite.
`run_tests_using_nose`([limit, verbosity, exit_]) | Run nose-based tests – really really silly way, just to get started
`setup_module`(module[, verbosity]) | set up test fixtures for testing
`teardown_module`(module[, verbosity]) | tear down test fixtures

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »